From ad3db808d0198e20ad75d6f744a4e926ae660e60 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 27 2020 22:45:49 +0000
Subject: [PATCH 1591/2232] Handle trailing comma in join macro


---

diff --git a/syntax/mangle.rs b/syntax/mangle.rs
index 84e3398..480a0ff 100644
--- a/syntax/mangle.rs
+++ b/syntax/mangle.rs
@@ -5,8 +5,8 @@ use proc_macro2::Ident;
 const CXXBRIDGE: &str = "cxxbridge1";
 
 macro_rules! join {
-    ($($segment:expr),*) => {
-        symbol::join(&[$(&$segment),*])
+    ($($segment:expr),+ $(,)?) => {
+        symbol::join(&[$(&$segment),+])
     };
 }
 
@@ -18,7 +18,7 @@ pub fn extern_fn(efn: &ExternFn, types: &Types) -> Symbol {
                 efn.name.namespace,
                 CXXBRIDGE,
                 receiver_ident.cxx,
-                efn.name.rust
+                efn.name.rust,
             )
         }
         None => join!(efn.name.namespace, CXXBRIDGE, efn.name.rust),

